# suite config
actor: AcceptanceTester
path: Acceptance
bootstrap: _bootstrap.php

modules:
  enabled:
    - Asserts
    - OxidEsales\WysiwygModule\Tests\Codeception\Support\Helper\Acceptance
    - \OxidEsales\Codeception\Module\ShopSetup:
        dump: '%DUMP_PATH%'
        fixtures: '%FIXTURES_PATH%'
        license: '%license_key%'
    - WebDriver:
        url: '%SHOP_URL%'
        browser: '%BROWSER_NAME%'
        port: '%SELENIUM_SERVER_PORT%'
        host: '%SELENIUM_SERVER_HOST%'
        window_size: 1920x1080
        clear_cookies: true
        capabilities:
          acceptInsecureCerts: true
        cookies:
          cookie-1:
            Name: XDEBUG_SESSION_START
            Value: PHPSTORM
            HttpOnly: false
          cookie-2:
            Name: XDEBUG_SESSION
            Value: PHPSTORM
            HttpOnly: false
    - Db:
        dsn: 'mysql:host=%DB_HOST%;dbname=%DB_NAME%;charset=utf8'
        user: '%DB_USERNAME%'
        password: '%DB_PASSWORD%'
        port: '%DB_PORT%'
        dump: '%DUMP_PATH%'
        module_dump: '%MODULE_DUMP_PATH%'
        mysql_config: '%MYSQL_CONFIG_PATH%'
        populate: true # run populator before all tests
        cleanup: false # run populator before each test
        populator: >
          mysql --defaults-file=$mysql_config --default-character-set=utf8 $dbname < $dump && 
          mysql --defaults-file=$mysql_config --default-character-set=utf8 $dbname < $module_dump
    - \OxidEsales\Codeception\Module\Oxideshop:
        screen_shot_url: '%SCREEN_SHOT_URL%'
        depends:
          - WebDriver
          - Db
    - \OxidEsales\Codeception\Module\OxideshopAdmin:
        depends:
          - WebDriver
          - \OxidEsales\Codeception\Module\Oxideshop
    - \OxidEsales\Codeception\Module\Database:
        config_key: 'fq45QS09_fqyx09239QQ'
        depends: Db
    - \OxidEsales\Codeception\Module\SelectTheme:
        theme_id: '%THEME_ID%'
        depends:
          - \OxidEsales\Codeception\Module\Database
          - Db
    - \OxidEsales\Codeception\Module\Translation\TranslationsModule:
        shop_path: '%SHOP_SOURCE_PATH%'
        paths:
          - Application/views/admin_twig
          - Application/views/apex
    - \OxidEsales\Codeception\Module\OxideshopModules

step_decorators:
  - \Codeception\Step\Retry